Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.neurosky.thinkgear
Class NeuroSkyHeartMeters

    java.lang.Object
      com.neurosky.thinkgear.NeuroSkyHeartMeters

    public class NeuroSkyHeartMeters

extends java.lang.Object

Field Summary
`static boolean` | `agelimits`
`static int` | `initRindex`
`static boolean` | `verbose`

Constructor Summary
`NeuroSkyHeartMeters()`

Method Summary
`static double` | `calculateHeartAge(java.lang.Integer[] rrIntervalInMS, int age, int ageFactor)` Calculates the user's heart age based the measured collection of R-R intervals and biological age with no previous history.
`static double` | `calculateHeartAge(java.lang.Integer[] rrIntervalInMS, int age, java.lang.String fileName)` Calculates the user's heart age based the measured collection of R-R intervals, biological age, and previous data.
`static double` | `calculateHeartAgeRaw(java.lang.Integer[] rrIntervalInMS)`
`static int` | `calculateHeartRiskAware(java.lang.Integer[] rrIntervalInMS)`
`static int` | `calculateHeartRiskAware(java.lang.String fileName)`
`static double` | `calculateMult()`
`static double` | `calculateMult2()`
`static double` | `calculateMult3()`
`static int` | `calculateRelaxationLevel(int[] rrIntervalInMS)`
`static double` | `calculateSDNN(java.lang.Integer[] rrIntervalInMS)`
`static int` | `progressHeartAge(java.lang.String fileName)` Indicates how many elements there are in the data file.
`static void` | `resetHeartAge(java.lang.String fileName)` Resets the data file for the specified file.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### initRindex

    public static int initRindex

### verbose

    public static boolean verbose

### agelimits

    public static boolean agelimits

Constructor Detail

### NeuroSkyHeartMeters

    public NeuroSkyHeartMeters()

Method Detail

### calculateHeartAge

    public static double calculateHeartAge(java.lang.Integer[] rrIntervalInMS,
                                           int age,
                                           int ageFactor)

  Calculates the user's heart age based the measured collection of R-R intervals and biological age with no previous history.

  Parameters:
    `rrIntervalInMS` -
    `age` -
  Returns:
    User's calculated heart age as a double.

### resetHeartAge

    public static void resetHeartAge(java.lang.String fileName)

  Resets the data file for the specified file.

  Parameters:
    `fileName` -

### progressHeartAge

    public static int progressHeartAge(java.lang.String fileName)

  Indicates how many elements there are in the data file. It can be used to indicate progress.

  Parameters:
    `fileName` -
  Returns:
    Number of R-R interval samples stored as a double.

### calculateHeartAge

    public static double calculateHeartAge(java.lang.Integer[] rrIntervalInMS,
                                           int age,
                                           java.lang.String fileName)

  Calculates the user's heart age based the measured collection of R-R intervals, biological age, and previous data.

  Parameters:
    `rrIntervalInMS` -
    `age` -
    `fileName` -
  Returns:
    User's calculated heart age as a double.

### calculateHeartAgeRaw

    public static double calculateHeartAgeRaw(java.lang.Integer[] rrIntervalInMS)

### calculateHeartRiskAware

    public static int calculateHeartRiskAware(java.lang.String fileName)

  Parameters:
    `fileName` -
  Returns:
    User's calculated heart age as an integer.

### calculateHeartRiskAware

    public static int calculateHeartRiskAware(java.lang.Integer[] rrIntervalInMS)

### calculateSDNN

    public static double calculateSDNN(java.lang.Integer[] rrIntervalInMS)

### calculateRelaxationLevel

    public static int calculateRelaxationLevel(int[] rrIntervalInMS)

### calculateMult

    public static double calculateMult()

### calculateMult3

    public static double calculateMult3()

### calculateMult2

    public static double calculateMult2()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD